<?php
/**
* Widget Functions.
*
* @package Trucking Company
*/

function trucking_company_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'trucking-company'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'trucking-company'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $trucking_company_default = trucking_company_get_default_theme_options();
    $trucking_company_footer_column_layout = absint( get_theme_mod( 'trucking_company_footer_column_layout',$trucking_company_default['trucking_company_footer_column_layout'] ) );

    for( $i = 0; $i < $trucking_company_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','trucking-company'); }
    	if( $i == 1 ){ $count = esc_html__('Two','trucking-company'); }
    	if( $i == 2 ){ $count = esc_html__('Three','trucking-company'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'trucking-company').$count,
	        'id' => 'trucking-company-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'trucking-company'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'trucking_company_widgets_init');